/**
 * Klasse fr einen Vektor, Speicherung von zwei Koordinaten
 * 
 * 23.05.02 Initialversion (T)
 * 02.06.02 Konstruktor berladen fr Nullvektorinitialisierung (F)
 * 05.06.02 InvElement ergnzt (T)
 * 
 * @author Torben Barth
 * @version 1.02
 */

public class Arrow 
{	
	//Variablen enthalten den  x- bzw. y-Wert
   private double y;
   private double x;
   
   /**
    * Konstruktor
    * @param xWert double
    * @param yWert double
    */
   public Arrow(double xWert, double yWert) 
   {
    x = xWert;
    y = yWert;
   }
   
   /**
    * Konstruktor
    * wenn keine Werte bergeben, wird ein neuer Arrow 
    * mit dem Wert 0/0 initialisiert
    */
   public Arrow()
   {
   	 x = 0.0;
   	 y = 0.0;
   }
   
   /**
    * liefert x-Wert
    * @return x double
    */
   public double getX() 
   {
    return x;
   }
   
   /**
    * liefert y-Wert
    * @return y double
    */
   public double getY() 
   {
    return y; 
   }
   
   /**
    * setzt x-Wert
    * @param xWert double
    */
   public void setX(double xWert)
   {
   	x = xWert;
   }
   
   /**
    * setzt y-Wert
    * @param yWert double
    */
   public void setY(double yWert)
   {
   	y = yWert;
   }
   
   /**
    * setzt beide Werte
    * @param xWert double
    * @param yWert double
    */
   public void setXY(double xWert, double yWert)
   {
   	x = xWert;
   	y = yWert;
   }
   
   /**
    * addiert a auf den Arrow, also Aufruf Arrow.addArrow(a), wobei Arrow durch den Aarow ersetzte wird
    * @param a ein anderer Arrow
    */
   public void addArrow(Arrow a)
   {
   		x = x + a.x;
		y = y + a.y;
   }
   
   /**
    * invertiert den Arrow, soll heissen dreht die Vorzeichen um
    * */
   public void invArrow()
   {
   		x = -x;
   		y = -y;
   }
   
   
}
