/**
 * Diese Klasse reprsentiert eine Ballbesitznachricht
 * eines Mitspielers.<br>
 * Da die einzig interessante Information dieser Nachricht,
 * nmlich der sendende Spieler bereits als Attribut in
 * <code>HearMsg</code> enthalten ist, bentigt diese Klasse
 * keine eigenen Attribute.
 * 
 * @author Sebastian Hantsch
 * @version 1.0
 */
public class BallOwnershipMsg extends HearMsg
{
	/**
	 * Erzeugt eine neue <code>BallOwnershipMsg</code>.
	 */
	public BallOwnershipMsg()
	{
		super();
	}
}
