import java.text.DecimalFormat;

/**
 * Klasse zum Testen des Weltmodells
 *  
 */
public class TestWorldModel extends Strategy
{
	private boolean tstatus;
	private boolean mstatus;
	private int cycles;
	private double xcounter;
	private double ycounter;
	private int anglecounter;
	private int counter;
	private int sollx;
	private int solly;
	private int diffx;
	private int sollwinkel;
	private int diffy;
	private int turnnew;
	private int turnold;
	private int movenew;
	private int moveold;
	
	DecimalFormat df = new DecimalFormat("00.00");

	/**
	 * Konstruktor fr TestWorldModel.
	 */
	public TestWorldModel()
	{
		mstatus = true;
		tstatus = true;
		turnnew = 0;
		turnold = 0;
		movenew = 0;
		moveold = 0;
		diffx = 5;
		diffy = 5;
		xcounter = -52 - diffx;
		ycounter = -34;
		anglecounter = 355;
		counter = 0;
		//sollx = -37;
		//solly = -23;
		//sollwinkel = 350;
	}

	public void execute()
	{
		// Diese Methode wird nach jeder empfangenen
		// sense_body - Nachricht aufgerufen
		if (worldModel.getYourself().getNumber() == 1)
		{	
			if (mstatus && tstatus)
			{
				if (anglecounter % 355 == 0 && anglecounter !=0)
				{
					xcounter = xcounter + diffx;
					if (xcounter > 52)
					{
						xcounter = -52 - diffx;
						ycounter = ycounter + diffy;
					}
					sender.move(xcounter, ycounter);
					mstatus = false;
				}
				else
				{
					sender.turn(5);
					anglecounter = anglecounter +5;
					tstatus = false;
				}
			}
			
			else 
			{
				if (!mstatus)
				{
					movenew = worldModel.getYourself().getMoveCount();
					if (moveold < movenew)
					{
						moveold = movenew;
						mstatus = true;
						sender.turn(5);
						tstatus = false;
						anglecounter = 0;
					}
				}
				else
				{
					turnnew = worldModel.getYourself().getTurnCount();
					if (turnold < turnnew)
					{
						turnold = turnnew;
						tstatus = true;
						if (Math.abs(xcounter - (worldModel.getYourself().getPosition().getX()))
						>= 0.5
						|| Math.abs(ycounter - (worldModel.getYourself().getPosition().getY())) >= 0.5)
						{
							System.out.println(
								"Soll-Position: ("
									+ (xcounter)
									+ " , "
									+ ycounter
									+ ")   gemessene Position : ("
									+ df.format(worldModel.getYourself().getPosition().getX())
									+ ","
									+ df.format(worldModel.getYourself().getPosition().getY())
									+ ")   Winkel: "
									+ worldModel.getYourself().getViewAngle());
						}
					}
				}
			}
		}
	}
}