import javax.swing.*;
import java.awt.*;
import java.awt.event.*;

/**
 * Ereignisse der Buttons 
 * 
 * @author Jochen Rbenach
 * @version 1.4
 */

public class Happenings implements ActionListener
{
	private Visualization visualization;
	
	/**
	 * Konstruktor 
	 * 
	 * @param visualization Visualization
	 */
	public Happenings(Visualization visualization)
	{
		this.visualization = visualization;
	}
	
	/**
	 * 
	 * @param ev ActionEvent
	 */
	public void actionPerformed(ActionEvent ev)
	{
		String aktion = ev.getActionCommand().substring(8);	//Spieler wegschneiden, nur Nummer interessant
		int playerNumber = Integer.parseInt(aktion);	//wandle Nummer in Zahl um	
	
		visualization.visualizePlayer(playerNumber - 1); //subtrahiere 1, da Nummerierung bei 0 anfngt
	}
}

